import 'js-beautify/js/lib/beautify.js';
import '../kano-code-display/kano-code-display.js';
import { LitElement } from 'lit-element';
import '../kc-workspace-toolbar/kc-workspace-toolbar.js';
export declare class KanoAppEditor extends LitElement {
    code?: string;
    workspaceTab: string;
    isResizing: boolean;
    private section?;
    private workspacePanel?;
    sourceContainer?: HTMLElement;
    widgetLayer?: HTMLElement;
    workspaceEl?: HTMLElement;
    activityBarEl?: HTMLElement;
    static readonly styles: import("lit-element").CSSResult[];
    render(): import("lit-element").TemplateResult;
    getTab(label: string, id: string): import("lit-element").TemplateResult;
    _onSelectedChanged(e: CustomEvent): void;
    _setCodeDisplay(code: string | undefined, workspaceTab: string): string | undefined;
    /**
   * Resize the workspace
   */
    resizeWorkspace(e: MouseEvent): void;
    /**
   * Completed the resize action
   */
    completedResizing(): void;
    /**
   * Used to prevent text selection when dragging
   */
    pauseEvent(e: Event): boolean;
    /**
   * Mouse moved handler
   */
    mouseMoved(e: MouseEvent): void;
}
